GHSA-fgjj-5jmr-gh83

Suggest an improvement
Source
https://github.com/advisories/GHSA-fgjj-5jmr-gh83
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/10/GHSA-fgjj-5jmr-gh83/GHSA-fgjj-5jmr-gh83.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-fgjj-5jmr-gh83
Aliases
Published
2023-10-24T02:45:31Z
Modified
2024-02-16T08:16:49.988515Z
Severity
  • 3.9 (Low) CVSS_V3 - CVSS:3.1/AV:N/AC:H/PR:H/UI:R/S:U/C:L/I:L/A:L CVSS Calculator
Summary
Fides JavaScript Injection Vulnerability in Privacy Center URL
Details

Impact

The Fides web application allows users to edit consent and privacy notices such as cookie banners. These privacy notices can then be served by other integrated websites, for example in cookie consent banners. One of the editable fields is a privacy policy URL and this input was found to not be validated.

The vulnerability makes it possible to craft a payload in the privacy policy URL which triggers JavaScript execution when the privacy notice is served by an integrated website. The domain scope of the executed JavaScript is that of the integrated website.

Exploitation is limited to Admin UI users with the contributor role or higher.

Patches

The vulnerability has been patched in Fides version 2.22.1. Users are advised to upgrade to this version or later to secure their systems against this threat.

Workarounds

There are no workarounds.

References

Affected packages

PyPI / ethyca-fides

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.22.1

Affected versions

1.*

1.9.9

2.*

2.0.0
2.1.0
2.2.0
2.2.1
2.2.2
2.3.0
2.3.1
2.4.0
2.5.0
2.5.1
2.6.0
2.6.1
2.6.2
2.6.3
2.6.4
2.6.5
2.6.6
2.7.0
2.7.1
2.8.0
2.8.1
2.8.2
2.8.3
2.9.0
2.9.1
2.9.2
2.10.0
2.10.1b2
2.10.1b3
2.11.0
2.11.1b0
2.11.1b1
2.11.1b2
2.11.1b3
2.11.1b4
2.11.1b5
2.11.1b6
2.12.0
2.12.1b0
2.12.1b1
2.12.1b2
2.12.1b3
2.12.1b4
2.12.1
2.12.2b0
2.12.2b1
2.12.2b2
2.13.0
2.13.1b0
2.13.1b1
2.13.1b2
2.14.0
2.14.1b0
2.14.1b1
2.14.1b2
2.14.1
2.14.2b0
2.14.2
2.14.3b0
2.15.0
2.15.1b0
2.15.1b1
2.15.1
2.15.2b0
2.16.0
2.16.1b0
2.16.1b1
2.17.0
2.17.1b0
2.17.1
2.18.0
2.18.1b0
2.18.1b1
2.18.1b2
2.18.1b4
2.18.1b5
2.18.1b6
2.18.1b7
2.19.0rc6
2.19.0rc7
2.19.0rc8
2.19.0rc10
2.19.0
2.19.1b0
2.19.1rc1
2.19.1rc2
2.19.1
2.19.2b0
2.19.2b1
2.19.2b2
2.20.0rc0
2.20.0rc1
2.20.0rc2
2.20.0rc3
2.20.0rc4
2.20.0rc5
2.20.0rc6
2.20.0rc7
2.20.0
2.20.1b0
2.20.1b1
2.20.1b2
2.20.1b3
2.20.1rc0
2.20.1
2.20.2b0
2.20.2rc0
2.20.2
2.20.3b0
2.20.3b1
2.20.3b2
2.21.0rc0
2.21.0rc1
2.21.0rc2
2.21.0rc3
2.21.0rc4
2.21.0rc5
2.21.0
2.21.1b0
2.21.1b2
2.21.1b3
2.22.0rc0
2.22.0rc1
2.22.0rc2
2.22.0rc3
2.22.0rc4
2.22.0rc5
2.22.0
2.22.1b0
2.22.1b1
2.22.1b2
2.22.1b3
2.22.1rc0
2.22.1rc1

Ecosystem specific

{
    "affected_functions": [
        "fides.api.schemas.privacy_experience.ExperienceConfigSchema"
    ]
}